ONVIF::Media::Types::FindMetadataResultList(3)

NAME
ONVIF::Media::Types::FindMetadataResultList

DESCRIPTION
Perl data type class for the XML Schema defined complexType FindMetadataResultList from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SearchState

•   Result

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::FindMetadataResultList
   SearchState => $some_value, # SearchState
   Result =>  { # ONVIF::Media::Types::FindMetadataResult
     RecordingToken => $some_value, # RecordingReference
     TrackToken => $some_value, # TrackReference
     Time =>  $some_value, # dateTime
   },
 },

AUTHOR
Generated by SOAP::WSDL